package com.bonus.core.account.v3.web.vo;

import com.bonus.core.common.encrypt.HandleType;
import com.bonus.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@LeNiuDecryptDataProcess
@Data
public class AccExistFrozenListVO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("手机号")
   @LeNiuDecryptField(HandleType.DESENSITIZE_MOBILE_PHONE)
   private String mobile;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("人员类别名称")
   private String psnTypeName;
   @ApiModelProperty("冻结账户总金额")
   private BigDecimal accFreezeTotalBal;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public BigDecimal getAccFreezeTotalBal() {
      return this.accFreezeTotalBal;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
   }

   public void setAccFreezeTotalBal(final BigDecimal accFreezeTotalBal) {
      this.accFreezeTotalBal = accFreezeTotalBal;
   }




}
